Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Persistence/Legacy/URL/Gateway.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Persistence\Legacy\URL;
8
9 use eZ\Publish\API\Repository\Values\URL\Query\Criterion;
10 use eZ\Publish\API\Repository\Values\URL\Query\SortClause;
11 use eZ\Publish\SPI\Persistence\URL\URL;
12
13 abstract class Gateway
14 {
20 abstract public function updateUrl(URL $url);
21
33 abstract public function find(Criterion $criterion, $offset, $limit, array $sortClauses = [], $doCount = true);
34
42 abstract public function findUsages($id);
43
51 abstract public function loadUrlData($id);
52
60 abstract public function loadUrlDataByUrl($url);
61 }
eZ\Publish\API\Repository\Values\URL\Query\Criterion
Definition: API/Repository/Values/URL/Query/Criterion.php:10
eZ\Publish\API\Repository\Values\URL\Query\SortClause\URL
Definition: API/Repository/Values/URL/Query/SortClause/URL.php:12
eZ\Publish\Core\Persistence\Legacy\URL\Gateway
Definition: Persistence/Legacy/URL/Gateway.php:14
eZ\Publish\Core\Persistence\Legacy\URL\Gateway\find
find(Criterion $criterion, $offset, $limit, array $sortClauses=[], $doCount=true)
Selects URLs matching specified criteria.
eZ\Publish\Core\Persistence\Legacy\URL\Gateway\findUsages
findUsages($id)
Returns IDs of Content Objects using URL identified by $id.
eZ\Publish\Core\Persistence\Legacy\URL\Gateway\loadUrlDataByUrl
loadUrlDataByUrl($url)
Loads URL with url address.
eZ\Publish\Core\Persistence\Legacy\URL\Gateway\loadUrlData
loadUrlData($id)
Loads URL with url id.
eZ\Publish\Core\Persistence\Legacy\URL\Gateway\updateUrl
updateUrl(URL $url)
Update the URL.
eZ\Publish\SPI\Persistence\URL\URL
Definition: SPI/Persistence/URL/URL.php:12
eZ\Publish\API\Repository\Values\URL\Query\Criterion
Definition: API/Repository/Values/URL/Query/Criterion/LogicalAnd.php:7
eZ\Publish\API\Repository\Values\URL\Query\SortClause
Definition: API/Repository/Values/URL/Query/SortClause/Id.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.